Skip to main content
GET
/
user
/
cases
/
{id}
Get case
curl --request GET \
  --url https://api.managem.co.uk/user/cases/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workflowId": "<string>",
  "purchaseId": "<string>",
  "reason": "SNAD",
  "status": "OPEN",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "outcomes": [
    {
      "id": "<string>",
      "type": "RETURN",
      "party": "SELLER",
      "status": "PENDING",
      "caseId": "<string>",
      "amount": 1,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "comment": "<string>",
      "deliveryAddress": "<unknown>"
    }
  ],
  "attachments": [
    {
      "url": "<string>",
      "party": "SELLER",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "comment": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Case ID

Response

Case details

id
string<cuid2>
required
workflowId
string
required
purchaseId
string
required
reason
enum<string>
required
Available options:
SNAD,
DAMAGED,
WRONG_ITEM,
NOT_RECEIVED,
OTHER,
CHARGEBACK
status
enum<string>
required
Available options:
OPEN,
REMEDIATION,
SETTLED,
CLOSED,
ESCALATED
createdAt
string<date-time> | null
required
updatedAt
string<date-time> | null
required
outcomes
object[]
required
attachments
object[]
required
comment
string | null